gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FixedLayout

Contents

- Exported types
- Methods
  - new

Description

Places child widgets at fixed positions.

Most applications should never use this layout manager; fixed positioning and sizing requires constant recalculations on where children need to be positioned and sized. Other layout managers perform this kind of work internally so that application developers don't need to do it. Specifically, widgets positioned in a fixed layout manager will need to take into account:

- Themes, which may change widget sizes.
- Fonts other than the one you used to write the app will of course change the size of widgets containing text; keep in mind that users may use a larger font because of difficulty reading the default, or they may be using a different OS that provides different fonts.
- Translation of text into other languages changes its size. Also, display of non-English text will use a different font in many cases.

In addition, `GtkFixedLayout` does not pay attention to text direction and thus may produce unwanted results if your app is run under right-to-left languages such as Hebrew or Arabic. That is: normally GTK will order containers appropriately depending on the text direction, e.g. to put labels to the right of the thing they label when using an RTL language; `GtkFixedLayout` won't be able to do that for you.

Finally, fixed positioning makes it kind of annoying to add/remove UI elements, since you have to reposition all the other elements. This is a long-term maintenance problem for your application.

Synopsis

- newtype FixedLayout = FixedLayout (ManagedPtr FixedLayout)
- class (GObject o, IsDescendantOf FixedLayout o) => IsFixedLayout o
- toFixedLayout :: (MonadIO m, IsFixedLayout o) => o -> m FixedLayout
- fixedLayoutNew :: (HasCallStack, MonadIO m) => m FixedLayout

# Exported types

newtype FixedLayout Source #

Memory-managed wrapper type.

Constructors

FixedLayout (ManagedPtr FixedLayout) |

#### Instances

Instances details

Eq FixedLayout Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout Methods (==) :: FixedLayout -> FixedLayout -> Bool Source # (/=) :: FixedLayout -> FixedLayout -> Bool Source #
GObject FixedLayout Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout
ManagedPtrNewtype FixedLayout Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout Methods toManagedPtr :: FixedLayout -> ManagedPtr FixedLayout Source #
TypedObject FixedLayout Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout Methods glibType :: IO GType Source #
HasParentTypes FixedLayout Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout
IsGValue (Maybe FixedLayout) Source # | Convert `FixedLayout` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FixedLayout Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FixedLayout -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FixedLayout) Source #
type ParentTypes FixedLayout Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout type ParentTypes FixedLayout = '[LayoutManager, Object]

class (GObject o, IsDescendantOf FixedLayout o) => IsFixedLayout o Source #

Type class for types which can be safely cast to `FixedLayout`, for instance with `toFixedLayout`.

#### Instances

Instances details

(GObject o, IsDescendantOf FixedLayout o) => IsFixedLayout o Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayout

toFixedLayout :: (MonadIO m, IsFixedLayout o) => o -> m FixedLayout Source #

Cast to `FixedLayout`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

allocate, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, layoutChanged, measure, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getLayoutChild, getProperty, getQdata, getRequestMode, getWidget.

#### Setters

setData, setDataFull, setProperty.

## new

fixedLayoutNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m FixedLayout | Returns: the newly created `GtkFixedLayout`

Creates a new `GtkFixedLayout`.